# GESMarkerList

A GESMarker can be colored by setting the GES_META_MARKER_COLOR meta.

## GESMarker

    GObject
        ╰──GESMarker

A timed GESMetaContainer object.

Since : 1.18

### Class structure

#### GESMarkerClass

##### Fields

`parent_class` (GObjectClass) –
No description available

### GES.MarkerClass

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

### GES.MarkerClass

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

## GES.Marker

    GObject.Object
        ╰──GES.Marker

A timed GES.MetaContainer object.

Since : 1.18

## GES.Marker

    GObject.Object
        ╰──GES.Marker

A timed GES.MetaContainer object.

Since : 1.18

### Properties

#### position

    “position” guint64

Current position (in nanoseconds) of the GESMarker

Flags : Read

Since : 1.18

#### position

    “position” Number

Current position (in nanoseconds) of the GES.Marker

Flags : Read

Since : 1.18

#### position

    “self.props.position” int

Current position (in nanoseconds) of the GES.Marker

Flags : Read

Since : 1.18

## GESMarkerList

    GObject
        ╰──GESMarkerList

A list of GESMarker

Since : 1.18

### Class structure

#### GESMarkerListClass

##### Fields

`parent_class` (GObjectClass) –
No description available

### GES.MarkerListClass

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

### GES.MarkerListClass

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

## GES.MarkerList

    GObject.Object
        ╰──GES.MarkerList

A list of GES.Marker

Since : 1.18

## GES.MarkerList

    GObject.Object
        ╰──GES.MarkerList

A list of GES.Marker

Since : 1.18

### Constructors

#### ges_marker_list_new

    GESMarkerList *
    ges_marker_list_new ()

Creates a new GESMarkerList.

Returns –

A new GESMarkerList

Since : 1.18

#### GES.MarkerList.prototype.new

    function GES.MarkerList.prototype.new(): {
        // javascript wrapper for 'ges_marker_list_new'
    }

Creates a new GES.MarkerList.

Returns (GES.MarkerList) –

A new GES.MarkerList

Since : 1.18

#### GES.MarkerList.new

    def GES.MarkerList.new ():
        #python wrapper for 'ges_marker_list_new'

Creates a new GES.MarkerList.

Returns (GES.MarkerList) –

A new GES.MarkerList

Since : 1.18

### Methods

#### ges_marker_list_add

    GESMarker *
    ges_marker_list_add (GESMarkerList * list,
                         GstClockTime position)

Parameters:

`list` –
No description available
`position` –

The position of the new marker

Returns ( [transfer: none]) –

The newly-added marker, the list keeps ownership of the marker

Since : 1.18

#### GES.MarkerList.prototype.add

    function GES.MarkerList.prototype.add(position: Number): {
        // javascript wrapper for 'ges_marker_list_add'
    }

Parameters:

`list` (GES.MarkerList) –
No description available
`position` (Number) –

The position of the new marker

Returns (GES.Marker) –

The newly-added marker, the list keeps ownership of the marker

Since : 1.18

#### GES.MarkerList.add

    def GES.MarkerList.add (self, position):
        #python wrapper for 'ges_marker_list_add'

Parameters:

`list` (GES.MarkerList) –
No description available
`position` (int) –

The position of the new marker

Returns (GES.Marker) –

The newly-added marker, the list keeps ownership of the marker

Since : 1.18

#### ges_marker_list_get_markers

    GList *
    ges_marker_list_get_markers (GESMarkerList * list)

Parameters:

`list` –
No description available
Returns ( [element-type GESMarker][transfer: full]) –

a GList of the GESMarker within the GESMarkerList. The user will have to unref each GESMarker and free the GList.

Since : 1.18

#### GES.MarkerList.prototype.get_markers

    function GES.MarkerList.prototype.get_markers(): {
        // javascript wrapper for 'ges_marker_list_get_markers'
    }

Parameters:

`list` (GES.MarkerList) –
No description available
Returns ([ GES.Marker ]) –

a GLib.List of the GES.Marker within the GESMarkerList. The user will have to unref each GES.Marker and free the GLib.List.

Since : 1.18

#### GES.MarkerList.get_markers

    def GES.MarkerList.get_markers (self):
        #python wrapper for 'ges_marker_list_get_markers'

Parameters:

`list` (GES.MarkerList) –
No description available
Returns ([ GES.Marker ]) –

a GLib.List of the GES.Marker within the GESMarkerList. The user will have to unref each GES.Marker and free the GLib.List.

Since : 1.18

#### ges_marker_list_move

    gboolean
    ges_marker_list_move (GESMarkerList * list,
                          GESMarker * marker,
                          GstClockTime position)

Moves a marker in a list to a new position

Parameters:

`list` –
No description available
`marker` –
No description available
`position` –
No description available
Returns –

TRUE if the marker could be moved, FALSE otherwise (if the marker was not present in the list for example)

Since : 1.18

#### GES.MarkerList.prototype.move

    function GES.MarkerList.prototype.move(marker: GES.Marker, position: Number): {
        // javascript wrapper for 'ges_marker_list_move'
    }

Moves a marker in a list to a new position

Parameters:

`list` (GES.MarkerList) –
No description available
`marker` (GES.Marker) –
No description available
`position` (Number) –
No description available
Returns (Number) –

true if the marker could be moved, false otherwise (if the marker was not present in the list for example)

Since : 1.18

#### GES.MarkerList.move

    def GES.MarkerList.move (self, marker, position):
        #python wrapper for 'ges_marker_list_move'

Moves a marker in a list to a new position

Parameters:

`list` (GES.MarkerList) –
No description available
`marker` (GES.Marker) –
No description available
`position` (int) –
No description available
Returns (bool) –

True if the marker could be moved, False otherwise (if the marker was not present in the list for example)

Since : 1.18

#### ges_marker_list_remove

    gboolean
    ges_marker_list_remove (GESMarkerList * list,
                            GESMarker * marker)

Removes marker from list, this decreases the refcount of the marker by 1.

Parameters:

`list` –
No description available
`marker` –
No description available
Returns –

TRUE if the marker could be removed, FALSE otherwise (if the marker was not present in the list for example)

Since : 1.18

#### GES.MarkerList.prototype.remove

    function GES.MarkerList.prototype.remove(marker: GES.Marker): {
        // javascript wrapper for 'ges_marker_list_remove'
    }

Removes marker from list, this decreases the refcount of the marker by 1.

Parameters:

`list` (GES.MarkerList) –
No description available
`marker` (GES.Marker) –
No description available
Returns (Number) –

true if the marker could be removed, false otherwise (if the marker was not present in the list for example)

Since : 1.18

#### GES.MarkerList.remove

    def GES.MarkerList.remove (self, marker):
        #python wrapper for 'ges_marker_list_remove'

Removes marker from list, this decreases the refcount of the marker by 1.

Parameters:

`list` (GES.MarkerList) –
No description available
`marker` (GES.Marker) –
No description available
Returns (bool) –

True if the marker could be removed, False otherwise (if the marker was not present in the list for example)

Since : 1.18

#### ges_marker_list_size

    guint
    ges_marker_list_size (GESMarkerList * list)

Parameters:

`list` –
No description available
Returns –

The number of markers in list

Since : 1.18

#### GES.MarkerList.prototype.size

    function GES.MarkerList.prototype.size(): {
        // javascript wrapper for 'ges_marker_list_size'
    }

Parameters:

`list` (GES.MarkerList) –
No description available
Returns (Number) –

The number of markers in list

Since : 1.18

#### GES.MarkerList.size

    def GES.MarkerList.size (self):
        #python wrapper for 'ges_marker_list_size'

Parameters:

`list` (GES.MarkerList) –
No description available
Returns (int) –

The number of markers in list

Since : 1.18

### Signals

#### marker-added

    marker_added_callback (GESMarkerList * self,
                           guint64 position,
                           GESMarker * marker,
                           gpointer user_data)

Will be emitted after the marker was added to the marker-list.

Parameters:

`self` –
No description available
`position` –

the position of the added marker

`marker` –

the GESMarker that was added.

`user_data` –
No description available

Flags: Run First

Since : 1.18

#### marker-added

    function marker_added_callback(self: GES.MarkerList, position: Number, marker: GES.Marker, user_data: Object): {
        // javascript callback for the 'marker-added' signal
    }

Will be emitted after the marker was added to the marker-list.

Parameters:

`self` (GES.MarkerList) –
No description available
`position` (Number) –

the position of the added marker

`marker` (GES.Marker) –

the GES.Marker that was added.

`user_data` (Object) –
No description available

Flags: Run First

Since : 1.18

#### marker-added

    def marker_added_callback (self, position, marker, *user_data):
        #python callback for the 'marker-added' signal

Will be emitted after the marker was added to the marker-list.

Parameters:

`self` (GES.MarkerList) –
No description available
`position` (int) –

the position of the added marker

`marker` (GES.Marker) –

the GES.Marker that was added.

`user_data` (variadic) –
No description available

Flags: Run First

Since : 1.18

#### marker-moved

    marker_moved_callback (GESMarkerList * self,
                           guint64 previous_position,
                           guint64 new_position,
                           GESMarker * marker,
                           gpointer user_data)

Will be emitted after the marker was moved to.

Parameters:

`self` –
No description available
`previous_position` –

the previous position of the marker

`new_position` –

the new position of the marker

`marker` –

the GESMarker that was moved.

`user_data` –
No description available

Flags: Run First

Since : 1.18

#### marker-moved

    function marker_moved_callback(self: GES.MarkerList, previous_position: Number, new_position: Number, marker: GES.Marker, user_data: Object): {
        // javascript callback for the 'marker-moved' signal
    }

Will be emitted after the marker was moved to.

Parameters:

`self` (GES.MarkerList) –
No description available
`previous_position` (Number) –

the previous position of the marker

`new_position` (Number) –

the new position of the marker

`marker` (GES.Marker) –

the GES.Marker that was moved.

`user_data` (Object) –
No description available

Flags: Run First

Since : 1.18

#### marker-moved

    def marker_moved_callback (self, previous_position, new_position, marker, *user_data):
        #python callback for the 'marker-moved' signal

Will be emitted after the marker was moved to.

Parameters:

`self` (GES.MarkerList) –
No description available
`previous_position` (int) –

the previous position of the marker

`new_position` (int) –

the new position of the marker

`marker` (GES.Marker) –

the GES.Marker that was moved.

`user_data` (variadic) –
No description available

Flags: Run First

Since : 1.18

#### marker-removed

    marker_removed_callback (GESMarkerList * self,
                             GESMarker * marker,
                             gpointer user_data)

Will be emitted after the marker was removed the marker-list.

Parameters:

`self` –
No description available
`marker` –

the GESMarker that was removed.

`user_data` –
No description available

Flags: Run First

Since : 1.18

#### marker-removed

    function marker_removed_callback(self: GES.MarkerList, marker: GES.Marker, user_data: Object): {
        // javascript callback for the 'marker-removed' signal
    }

Will be emitted after the marker was removed the marker-list.

Parameters:

`self` (GES.MarkerList) –
No description available
`marker` (GES.Marker) –

the GES.Marker that was removed.

`user_data` (Object) –
No description available

Flags: Run First

Since : 1.18

#### marker-removed

    def marker_removed_callback (self, marker, *user_data):
        #python callback for the 'marker-removed' signal

Will be emitted after the marker was removed the marker-list.

Parameters:

`self` (GES.MarkerList) –
No description available
`marker` (GES.Marker) –

the GES.Marker that was removed.

`user_data` (variadic) –
No description available

Flags: Run First

Since : 1.18

### Properties

#### flags

    “flags” GESMarkerFlags *

Flags indicating how markers on the list should be treated.

Flags : Read / Write / Construct

Since : 1.20

#### flags

    “flags” GES.MarkerFlags

Flags indicating how markers on the list should be treated.

Flags : Read / Write / Construct

Since : 1.20

#### flags

    “self.props.flags” GES.MarkerFlags

Flags indicating how markers on the list should be treated.

Flags : Read / Write / Construct

Since : 1.20

## Constants

### GES_TYPE_MARKER

    #define GES_TYPE_MARKER ges_marker_get_type ()

### GES_TYPE_MARKER_LIST

    #define GES_TYPE_MARKER_LIST ges_marker_list_get_type ()

The results of the search are